| Home | Libraries | People | FAQ | More

#### grammar::error

Error codes returned when using rules.

##### Synopsis

Defined in header `<boost/url/grammar/error.hpp>`

    enum error

##### Values

Name | Description
--- | ---
`need_more` | More input is needed to match the rule. A rule reached the end of the input, resulting in a partial match. The error is recoverable; the caller may obtain more input if possible and attempt to parse the character buffer again. Custom rules should only return this error if it is completely unambiguous that the rule cannot be matched without more input.
`mismatch` | The rule did not match the input. This error is returned when a rule fails to match the input. The error is recoverable; the caller may rewind the input pointer and attempt to parse again using a different rule.
`end_of_range` | A rule reached the end of a range. This indicates that the input was consumed when parsing a `range`. The `range_rule` avoids rewinding the input buffer when this error is returned. Thus the consumed characters are be considered part of the range without contributing additional elements.
`leftover` | Leftover input remaining after match.
`invalid` | A rule encountered unrecoverable invalid input. This error is returned when input is matching but one of the requirements is violated. For example if a percent escape is found, but one or both characters that follow are not valid hexadecimal digits. This is usually an unrecoverable error.
`out_of_range` | An integer overflowed during parsing.
`syntax` | An unspecified syntax error was found.

##### See Also

`condition`, `parse`.

Convenience header `<boost/url/grammar.hpp>`